#include 	<avr/io.h>
#include 	<avr/interrupt.h>
#include 	<avr/signal.h>
#include 	<util/delay.h>
#include 	<stdlib.h>
#include 	<stdio.h>
#include 	<string.h>
//----------------------------------------------------------------------------------//
//----------------------------------------------------------------------------------//
SIGNAL (SIG_OVERFLOW1)
{
	// J.nut note
	// if you need to get A/D for adjust speed servo,,, 
	// You can get here
}
//----------------------------------------------------------------------------------//
void init_pwm (void)
{
	
	TCCR0A  |= ((1 << COM0A1) | (1 << COM0A0)  // COM0A1 - COM0A0  (Set OC0A on Compare Match, clear OC0A at TOP)
       	    |   (1 << WGM01)   | (1 << WGM00)); // WGM01 - WGM00   (set fast PWM)

	TCCR0B |= (1 << CS01) | (1 << CS00);   // Start timer at Fcpu / 64 about 16.20 mS

	OCR0A 	= 	256-16;		// set duty cycle 2 mS (256-32) = 2mS
							//					   (256-16) = 1mS
							//					   (256-24) = 1.5mS
							
	TIMSK 	=   (1 << OCIE1A);
	TIMSK  |=   (1 << TOIE1);

}
//----------------------------------------------------------------------------------//
int main (void)
{
	
	DDRB |= _BV(PB0) | _BV(PB1);		// PWM Channel 0,1

	init_pwm ();

	sei();

	while (1);

	return 1;
}
